Bug 661386 - (RFE) Luci is missing a separated config. file (e.g. /etc/sysconfig/luci) serving for user configuration (luci.ini not primarily intended to be user serviceable)
Summary: (RFE) Luci is missing a separated config. file (e.g. /etc/sysconfig/luci) ser...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: luci
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 660446
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 17:26 UTC by Jan Pokorný [poki]
Modified: 2011-08-29 14:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 19:36:05 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 660446 0 medium CLOSED Luci package neither well maintainable wrt external files (cross-references, values integrity etc.) nor it forms compact... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 731856 0 unspecified CLOSED luci supports configuration via /etc/sysconfig/luci from RHEL6.1 on, not covered in doc 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 733753 0 medium CLOSED Test configuration of auth. session timeout (after which the user is logged out) in /etc/sysconfig/luci 2021-02-22 00:41:40 UTC

Internal Links: 660446 731856 733753

Description Jan Pokorný [poki] 2010-12-08 17:26:11 UTC
At the first place, following items should be user serviceable:

- host IP luci would bind at
- port luci would bind at
- custom SSL certificate (in PEM format containing both public
  certificate and secret key)

Comment 2 Jan Pokorný [poki] 2010-12-08 18:05:07 UTC
Commit http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=e361858271c4919b6d2e5e3dbaa78e04c38c0a44 addresses this bug.

Comment 3 Jan Pokorný [poki] 2010-12-08 19:00:26 UTC
In addition, comment for LOG_FILE configuration item was changed in commit
http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=af2b9cae93b8b791d7e1b504d61120d6f87cc436

---

Eventually, following fields have been added as configurable through
/etc/sysconfig/luci (in addition to those in bug description):

- log file destination (could be useful for isolating occurencies of some
  issue or for redirecting log data through named pipe etc.)
- whether to keep run-time data when the service is stopped
  (see bug #661248, default is not to keep them)

Note: "who.auth_tkt_timeout" configuration item is currently not applicable
      (respective bug number will be added here as soon as it's created)

Comment 4 Jan Pokorný [poki] 2010-12-08 20:31:15 UTC
Note: this was fixed in the context of work on pkg-update upstream
      branch which means the fix ties closely to the major change
      brought from this branch into main-line upstream code
      in connection with bug #660446


Note You need to log in before you can comment on or make changes to this bug.